/*
    This (concrete) class extends the FilledIn Shape class.
    Notice that this class is, in a sense, "parallel" to
    the Circle class and this clas contains code that is
    duplicated with the Circle class. Duplicate code is in
    general a bad idea, but there is no easy way to avoid
    the redundancy in this case. The idea of "multiple
    inheritance" would be useful here. If FilledInCircle could
    inherit from both FilledInShape and Circle, there would be
    no redundant code. Sometimes an interface can be used to
    solve a problem like this, but not in this case.
*/
import java.awt.Color;

public class FilledInCircle extends FilledInShape
{
   public FilledInCircle(int x, int y, int dimension, Color fillColor)
   {
      super(x, y, dimension, fillColor);
   }

   public double computeArea()
   {
      return Math.PI*Math.pow(dimension,2);
   }

   public double computePerimeter()
   {
      return Math.PI*dimension;
   }

   public String toString()
   {
      return "FilledInCircle: " + super.toString();
   }

}//FilledInCircle
