/*
    This is a subclass of the (abstract) Shape class that is
    itself an abstract class. This class adds a new field to
    Shape and it adds a new (concrete) method, but this class
    is too generic to be able to know how to implement the
    abstract methods from Shape.
*/
import java.awt.Color;

public abstract class FilledInShape extends Shape
{
   // Add a new filed to this class.
   private Color fillColor;

   // This (subclass) constructor calls the super clas constructor.
   public FilledInShape(int x, int y, int dimension, Color fillColor)
   {
      super(x, y, dimension);
      this.fillColor = fillColor;
   }

   // Add a new method to this subclass.
   public Color getFillColor(Color fillColor)
   {
      return new Color(fillColor.getRed(), fillColor.getGreen(), fillColor.getBlue() );
   }

   // Do not implement the abstract methods since this class is also
   // too generic to know how to compute area or perimeter. So this
   // subclass is itself an abstract class.

   // Override toString to append the information about color
   public String toString()
   {
      return super.toString() + " fillColor = " + fillColor;
   }

}//FilledInShape
