/*
    This (concrete) class extends the FilledIn Shape class.
    Notice that this class is, in a sense, "parallel" to
    the Square class and this clas contains code that is
    duplicated with the Square class. Duplicate code is in
    general a bad idea, but there is no easy way to avoid
    the redundancy in this case. The idea of "multiple
    inheritance" would be useful here. If FilledInSquare could
    inherit from both FilledInShape and Square, there would be
    no redundant code. Sometimes an interface can be used to
    solve a problem like this, but not in this case.
*/
import java.awt.Color;

public class FilledInSquare extends FilledInShape
{
   public FilledInSquare(int x, int y, int dimension, Color fillColor)
   {
      super(x, y, dimension, fillColor);
   }

   public double computeArea()
   {
      return Math.pow(dimension,2);
   }

   public double computePerimeter()
   {
      return 4.0*dimension;
   }

   public String toString()
   {
      return "FilledInSquare: " + super.toString();
   }

}//FilledInSquare
