/*
    This is a concrete base class. It has to implement
    the computeArea() and computePerimeter() methods in
    a trivial way, since this class is too generic to
    really know how area and perimeter should be calculated.
    This base class really should be an abstract class.
*/

public class Shape
{
   // these instance variables should be private, not protected
   protected int x;
   protected int y;
   protected int dimension;

   public Shape(int x, int y, int dimension)
   {
      this.x = x;
      this.y = y;
      this.dimension = dimension;
   }

   public double computeArea()
   {
      return 0;
   }

   public double computePerimeter()
   {
      return 0;
   }

   public String toString()
   {
      return "x = " + x + ", y = " + y + ", dimension = " + dimension;
   }

}//Shape
